<?xml version="1.0" encoding='koi8-r'?>
<xsl:stylesheet version="1.0" 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!-- $Id: html-common.xsl,v 1.4 2004/06/03 16:00:31 kirill Exp $ -->

<!--
       html .
           .
    
    Author: Anton V. Boyarshinov <boyarsh@ru.echo.fr>
-->

<!--      -->
<xsl:import href="../common/collect_authors.xsl"/>

<!--      -->
<xsl:param name="local.l10n.xml" select="document('../common/ru.xml')"/>

<!--       html  -->
<xsl:param name="chunker.output.doctype-public" select="'-//W3C//DTD HTML 4.01 Transitional//EN'"/>
<xsl:param name="chunker.output.doctype-system" select="'http://www.w3.org/TR/1999/REC-html401-19991224/loose.dtd'"/>

<!--        html -->
<xsl:template name="collect-authors-container">
  <div class="author">
    <h3 class="author">
      <xsl:call-template name="collect-authors"/>
    </h3>
  </div>
</xsl:template>


<!-- FIXME: (vyt)    -->
<xsl:template name="process.image.attributes">
  <xsl:param name="alt"/>
  <xsl:param name="html.width"/>
  <xsl:param name="html.depth"/>
  <xsl:param name="longdesc"/>
  <xsl:param name="scale"/>
  <xsl:param name="scalefit"/>
  <xsl:param name="scaled.contentdepth"/>
  <xsl:param name="scaled.contentwidth"/>
  <xsl:param name="viewport"/>

  <xsl:attribute name="alt">
    <xsl:if test="$alt != ''">
      <xsl:value-of select="$alt"/>
    </xsl:if>
  </xsl:attribute>

  <xsl:if test="$longdesc != ''">
    <xsl:attribute name="longdesc">
      <xsl:value-of select="$longdesc"/>
    </xsl:attribute>
  </xsl:if>

  <xsl:if test="@align and $viewport = 0">
    <xsl:attribute name="align">
      <xsl:value-of select="@align"/>
    </xsl:attribute>
  </xsl:if>
</xsl:template>

<xsl:template match="guibutton">&#x00AB;<xsl:call-template name="inline.charseq"/>&#x00BB;</xsl:template>

<xsl:template match="guilabel">&#x00AB;<xsl:call-template name="inline.charseq"/>&#x00BB;</xsl:template>



</xsl:stylesheet>
