<?xml version="1.0" encoding="windows-1251"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<!-- $Id: persons-list.xsl,v 1.1 2003/05/19 09:36:27 vyt Exp $ -->

<xsl:output method="html" encoding="koi8-r"/>

<xsl:param name="lang">ru</xsl:param>

<xsl:template match="/">
  <html>
    <head>
      <title>
        <xsl:text>C  ALT Linux Team (</xsl:text>
        <xsl:value-of select="$lang"/>
        <xsl:text>)</xsl:text>
      </title>
    </head>
    <body>
      <h1>
        <xsl:text>C  ALT Linux Team (</xsl:text>
        <xsl:value-of select="$lang"/>
        <xsl:text>)</xsl:text>
      </h1>
      <div>
        <xsl:for-each select="//person[@altteam='yes']/info[@lang=$lang]">
          <xsl:sort select="surname" lang="$lang"/>
          <xsl:sort select="firstname" lang="$lang"/>
          <xsl:sort select="othername[@role='mi']" lang="$lang"/>
          <p>
            <xsl:value-of select="surname"/>
            <xsl:text>&#x00A0;</xsl:text>
            <xsl:value-of select="firstname"/>
            <xsl:if test="othername[@role='mi']">
              <xsl:text>&#x00A0;</xsl:text>
              <xsl:value-of select="othername[@role='mi']"/>
            </xsl:if>
            <xsl:text>&#x00A0;(</xsl:text>
            <xsl:value-of select="../@id"/>
            <xsl:text>)&#x00A0;</xsl:text>
            <xsl:value-of select="affiliation/address/email"/>
          </p>
        </xsl:for-each>
      </div>
    </body>
  </html>
</xsl:template>

</xsl:stylesheet>
